from abc import ABC, abstractmethod

class User(ABC):
    '''
        Class constructor to instatiate the base object
    '''
    def __init__(self):
        self.id = 0
        self.username = ""
        self.email = ""
        self.firstName = ""
        self.lastName = ""
        self.phone = ""

    @abstractmethod
    def login():
        pass

    @abstractmethod
    def signup():
        pass

